#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-1JQt1NtuK2o6ueb48NFx86
key:                  ghcide-1.4.1.0-1JQt1NtuK2o6ueb48NFx86
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  3ff34762cc36803641f0b67a0c289365
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/ghcide-1.4.1.0
hs-libraries:         HSghcide-1.4.1.0-1JQt1NtuK2o6ueb48NFx86
depends:
    Diff-0.4.0-K6qtAtd86yiJZ8zWQ6zGFk
    Glob-0.10.2-B4ybAlgFzJj5sxG9YgXNMT
    aeson-1.5.6.0-7AVmFt19o6HJo2wk0LSKcn
    aeson-pretty-0.8.9-39C9jPEyVy33jhFz0WXofr array-0.5.4.0
    async-2.2.3-J5fxbgnc2Zp7yae8AlfAy8 base-4.15.1.0
    base16-bytestring-1.0.2.0-Kj7KJPtppsbq9Tg8Svs7O binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-AIWxKOs5BlKJiYGqcIjwPJ
    case-insensitive-1.2.1.0-7ypvo8hNlNXGlHgmdwHzex containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-HAD7Hj7V7M19iQhLtkMKfk
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R deepseq-1.4.5.0
    dependent-map-0.4.0.0-59IpgWeM8YDChyXfwmES8d
    dependent-sum-0.7.1.0-G5lxR16sOtZKtKcbIK7Yf5 directory-1.3.6.2
    dlist-1.0-F00OxiD1dC249OyRKVGlo2
    extra-1.7.10-LA33NyglRxICTpWXe56tvI filepath-1.4.2.1
    fingertree-0.1.4.2-DirifJfYovHBZ1EBIWgMkT
    fuzzy-0.1.0.1-IGYd72qyA8wGeXgw6aYdUv ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.6-LQbG5CfVhYx3XpCbE5xdy3
    ghc-exactprint-0.6.4-99fH9YB2Id929UuZvI235M
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.4-7EMtwdu0gjT5wKIqT7jnjp
    haddock-library-1.10.0-t3m39d0lU2GykHBqGfOV
    hashable-1.3.4.1-EP0Gd73UMcO4S1jbgGNqGg
    heapsize-0.3.0.1-Ej6F2F4xDgmE8Nq8wYJ41S
    hie-bios-0.7.6-LEvp5e5oNtO9hcvye2XdGf
    hie-compat-0.2.0.0-HIRtu2tZqQkzZYfKK8kwk
    hiedb-0.4.1.0-2j9NoOlsEtBLQ4VNsIp6H8
    hls-graph-1.4.0.0-8a4ZQcZm56lDU8LXDg5LIe
    hls-plugin-api-1.2.0.0-6vWv9Ml9Zw2Gwhbs4InlLf
    hslogger-1.3.1.0-IKLZi0SVJ79IWi9Y4B4pxJ
    implicit-hie-cradle-0.3.0.5-5jw5KF7uoA5BYUUHMN54G7
    lens-5.0.1-A5wHtRxN7lBIH7UAeS9C9y
    lsp-1.2.0.1-FmNPJ3ORrRc8Q6hsciY9SJ
    lsp-types-1.3.0.1-JIdUCC6GPJMEiPgEtldJdL mtl-2.2.2
    network-uri-2.6.4.1-9UYBcu0rkna53gaPwNGacE
    opentelemetry-0.7.0-DWXfLZMrRWXEUFTf5pd9sd
    optparse-applicative-0.16.1.0-DtsJHkb9QbJ3YON6NZllgb
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-6tVqaE67Ipk29aZeqpH0Z0
    prettyprinter-ansi-terminal-1.1.3-1hRSZ8bhagr1msUdUcs2CI
    regex-tdfa-1.3.1.1-KGmZaGzzk3eJJOsPg0zcxp
    retrie-1.0.0.0-BKMduLwp02o5eQ4hAXqjjT
    rope-utf16-splay-0.3.2.0-AjDgxbYgkinE0JdvEW7H8
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.2-9v3HSe4VF6SDntt0CtcdUx
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.0-5zGm8bgR7TjK8CAL447I6p stm-2.5.0.0
    syb-0.7.2.1-zozc4aVvoKLe7QkMqRwfa text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-L2vm68CicJfDHb3SAAoKTy
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.15.0-HIJyWoeynWgK8pqlQmZFlL
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.12.3.1-3x1pAdfup7PE3zWKaw1ikC

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

